Version mis-match of Energyplus and HoneyBee

Hi,
I am currently creating my IDF file using HoneyBee-legacy, but my IDF is crashing while I run it via Honeybee. I opened the IDF Separately outside Grasshopper, Updated the version and my IDF(created Via HoneyBee) runs fine now. I have E+ version 9.3.0 in my PC. I wanted to know how can I solve this? which version of E+ does Honeybee expects?

Please don’t double-post.


-wim